%define upstream_name    Class-Observable
%define upstream_version 1.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Allow other classes and objects to respond to events in yours
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::ISA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
If you have ever used Java, you may have run across the
'java.util.Observable' class and the 'java.util.Observer' interface. With
them you can decouple an object from the one or more objects that wish to
be notified whenever particular events occur.

These events occur based on a contract with the observed item. They may
occur at the beginning, in the middle or end of a method. In addition, the
object *knows* that it is being observed. It just does not know how many or
what types of objects are doing the observing. It can therefore control
when the messages get sent to the obsevers.

The behavior of the observers is up to you. However, be aware that we do
not do any error handling from calls to the observers. If an observer
throws a 'die', it will bubble up to the observed item and require handling
there. So be careful.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.40.0-3pclos2017
- rebuild against updates

